VFS_CEPH(8)

NAME
vfs_ceph - Utilize features provided by CephFS

SYNOPSIS

vfs objects = ceph

DESCRIPTION

This VFS module is part of the samba(8) suite.

The vfs_ceph VFS module exposes CephFS specific features for use by Samba.

Ceph is a distributed network file system designed to provide excellent performance, reliability, and scalability. This is a shared library allowing applications to access a Ceph distributed file system via a POSIX-like interface.

This module can be combined with other modules, but it should be the last module in the vfs objects list. Modules added to this list to the right of the ceph entry may not have any effect at all.

CONFIGURATION

vfs_ceph requires that the underlying share path is a Ceph filesystem.

    		[share]
    		vfs objects = ceph

OPTIONS

ceph:config_file = path
    Allows to define a ceph configfile to use. Empty by default.

    Example: ceph:config_file = /etc/ceph/ceph.conf

VERSION

This man page is correct for version 4.2.0 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.